<script lang="ts">
    import DistrictField from 'models/DistrictField'

    export let field: DistrictField
    export let isBuilding: boolean
</script>

<h2>
    {field.content.name}
</h2>
<p>
    Labore dolore dicta esse quod et corporis. Alias qui sequi cum eum eaque
    voluptates repellat.
</p>
{#if isBuilding && field.content.level}
    <p class="level">
        Level: {field.content.level}
    </p>
{/if}

<style lang="postcss">
    h2 {
        @apply font-bold text-2xl;
    }
    .level {
        @apply font-bold text-xl;
    }
</style>
